Bug 1122946 - EAP 6.3.0 Security Guide not correctly built
Summary: EAP 6.3.0 Security Guide not correctly built
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER10
: EAP 6.3.0
Assignee: Joshua Wulf
QA Contact: Nikoleta Ziakova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 12:58 UTC by Nikoleta Ziakova
Modified: 2014-10-19 23:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 00:35:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikoleta Ziakova 2014-07-24 12:58:27 UTC
Chapter 19. Compiler Output should not be included in the book [1].

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Security_Guide/index.html

Comment 1 sgilda 2014-07-24 15:00:07 UTC
I'm a little confused by this one. It may be that the wrong security guide was built. 

Topic 41100 was created by Josh but contains no data. 
The topic was added to the unfrozen Security Guide spec 22820.
It appears that is the one that was built last night. 

I thought we were building only the frozen content specs at this point, meaning we should be building Security Guide spec 22588.

Tom, can you please clarify what our current procedure is?

Comment 2 sgilda 2014-07-24 15:26:05 UTC
I rebuilt the Security Guide spec 22588 that contains the revisions.

I will send an email to Tom to confirm that this was the correct process.

When the build completes, I will move this to ON_QA.

Comment 3 sgilda 2014-07-24 18:16:52 UTC
My build fails with the following error:

ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/lib64/wkhtmltopdf/include/QtCore/qlist.h, line 477
wkhtmltopdf died, PDF generation failed. Check log for details.
 at /usr/bin/publican line 1046
error: Bad exit status from /var/tmp/rpm-tmp.pcCAVE (%build)
    Bad exit status from /var/tmp/rpm-tmp.pcCAVE (%build)
RPM build errors:
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/JBoss_Enterprise_Application_Platform-Security_Guide-6.3-web-en-US.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 324, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/JBoss_Enterprise_Application_Platform-Security_Guide-6.3-web-en-US.spec']
LEAVE do --> EXCEPTION RAISED

Transferring this bug to Tom.

Comment 4 sgilda 2014-07-24 23:52:51 UTC
Josh is responsible for the Security Guide. Reassigning to him.

Comment 5 sgilda 2014-07-25 11:21:51 UTC
Lucas tried to build this book last night also with the same problem.

Since this is a rhpkg problem, I am adding Jeff and Rudi.

Comment 6 sgilda 2014-07-25 11:57:46 UTC
Security Guide spec 22588 is now obsolete, but I would like to understand why the build fails with the error described in comment 3.

Comment 7 Lucas Costi 2014-07-30 00:35:32 UTC
I'm going to close this bug as per the email to eap-pm-list last night:

http://post-office.corp.redhat.com/archives/eap-pm-list/2014-July/msg00306.html


Note You need to log in before you can comment on or make changes to this bug.